# Library MMSQL

**This library is for connect with mysql or mariadb database, in order to use this library we must use the two json objects that are exposed.**
* * *
## 1. Introduction

The first object has the required fields to use, they are the following:
```
{
    database: 127.0.0.1,
    host: localhost.com,
    password: mypassword,
    query: select * from customers where id > 1500,
    user: user_db
}
```

- In the database field we must specify the name of the database
- In the host field we must specify the host of the database
- In the user field we must specify the database user
- In the password field we must specify the password of the database user
- In the query field we must specify the query to execute in the database

* * *
The second object are the fields that can send or not: they are the following:
```
{
   content:null,
   limit:10000,
   port:3306
}
```

- The content field can send content as base 64 strings, an array, an array of arrays, a json object, or a string with an array or an object (the latter with the characters escaped).
- The limit field indicates the data limit to be inserted, deleted and/or updated in bulk (this limit is not the same as the one used in a query, for example 'select * from customers limit 1000').
- The port field indicates the port to which the library will connect, by default it is 3306.
* * *

## 2. Examples